
Figure - Bug #118843
测试 Test-ST # 111337 (New): ST测试总票

测试 Test-ST # 116840 (New): 中控联调测试-AF

【AF】【EVT3】【音量调节】连接蓝牙耳机，调节副屏音量，中控副屏音量也被调节
2023-06-19 17:56 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-19

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 110（616）

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: 0115

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause: 修复蓝牙连接后的状态问题

Description

【测试版本】

110（616版）

【测试现象】

连接蓝牙耳机，调节副屏音量，中控副屏音量也被调节

History

#1 - 2023-06-26 15:20 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

从当前日志来看，

此时蓝牙的状态属于断开状态，所以会调节到中控的音量。

175972:06-19 14:18:06.157  1534  7709 D AS.AudioService: idcm_af:a2dp bluetooth state= 2

175973:06-19 14:18:06.157  1534  7709 D AudioIDCMicroNegotiator: idcm_af:AudioIDCMicroNegotiator setBluetoothConnected: false

175975:06-19 14:18:06.157  1534  7709 D AS.AudioService: idcm_af:setBluetoothConnected: false

175976:06-19 14:18:06.157  1534  7709 D AS.AudioService: idcm_af:abandonAudioFocus, bluetooth is connected.

175978:06-19 14:18:06.157  1534  7709 D AudioIDCMicroNegotiator: idcm_af:abandonIDCMicroAudioFocus FocusState0

176087:06-19 14:18:06.162  1534  2443 D AS.AudioService: idcm_af:a2dp bluetooth state= 2

176088:06-19 14:18:06.162  1534  2443 D AudioIDCMicroNegotiator: idcm_af:AudioIDCMicroNegotiator setBluetoothConnected: false

176089:06-19 14:18:06.162  1534  2443 D AS.AudioService: idcm_af:setBluetoothConnected: false

176090:06-19 14:18:06.162  1534  2443 D AS.AudioService: idcm_af:abandonAudioFocus, bluetooth is connected.

176091:06-19 14:18:06.162  1534  2443 D AudioIDCMicroNegotiator: idcm_af:abandonIDCMicroAudioFocus FocusState0

178756:06-19 14:18:06.460  1534  2057 W AS.AudioService: idcm_warn: index is the same as old one, return

179831:06-19 14:18:10.839  1534  2057 D AS.AudioService: idcm_af:a2dp bluetooth state= 0

179832:06-19 14:18:10.839  1534  2057 D AudioIDCMicroNegotiator: idcm_af:AudioIDCMicroNegotiator setBluetoothConnected: false

179834:06-19 14:18:10.839  1534  2057 D AS.AudioService: idcm_af:setBluetoothConnected: false

180024:06-19 14:18:10.859  1534  1838 D AS.AudioService: idcm_volume:syncIDCMicroAudioVolume bluetooth disconnected

下一步：

查看蓝牙的状态为什么不对。
#2 - 2023-06-26 16:30 - Multimedia组-RD3_TSCD 梁卿山

Hi ALL

根据当前分析，是因为在蓝牙广播时，我们未将状态完整的修改，导致了蓝牙状态有问题。

下一步：

当前已经有方案进行修复。

#3 - 2023-06-27 15:14 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

210367 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tangyj0127@thundersoft.com

MM: Audio: Fix Bluetooth status issuesFix Bluetooth status issuesTC-RID: 0301-0900116IssueID: TS-R-DF-118843Change-Id:

I17f0e39a88d727df5602c6cfc483c228200e605d

#4 - 2023-06-27 15:16 - Multimedia组-RD3_TSCD 梁卿山

- Status changed from New to RESOLVED

- Assignee changed from Multimedia组-RD3_TSCD 梁卿山 to CD TEST-方永红

- Resolution changed from -- to FIXED

- Root cause set to 修复蓝牙连接后的状态问题

Hi 永红

该问题已经合入patch修复，请使用6月27日后版本验证，谢谢！

#5 - 2023-06-27 21:43 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

210445 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

MM: Audio: Fix Bluetooth status issuesFix Bluetooth status issuesTC-RID: 0301-0900116IssueID: TS-R-DF-118843Change-Id:

I17f0e39a88d727df5602c6cfc483c228200e605d(cherry picked from commit ab2231c9b90ddb6170925707de3242ccd3ddf601)

#6 - 2023-06-28 15:58 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to 0115
6.28

验证通过

#7 - 2023-06-28 15:58 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

fp.txt 23.6 MB 2023-06-19 CD TEST-方永红

tlog_sts40x190123_000251_0619161101.tar.gz 13.9 MB 2023-06-19 CD TEST-方永红

中科创达软件股份有限公司20230619-175540.mp4 16.8 MB 2023-06-19 CD TEST-方永红
